
# Interface: IOptionModifier

## Hierarchy

* **IOptionModifier**

## Index

### Properties

* [config](ioptionmodifier.md#optional-config)
* [css](ioptionmodifier.md#optional-css)
* [name](ioptionmodifier.md#name)
* [onChange](ioptionmodifier.md#optional-onchange)
* [preselectedValue](ioptionmodifier.md#optional-preselectedvalue)
* [style](ioptionmodifier.md#optional-style)
* [type](ioptionmodifier.md#optional-type)
* [visible](ioptionmodifier.md#optional-visible)

## Properties

### `Optional` config

• **config**? : *IMetadataConfig*

___

### `Optional` css

• **css**? : *string*

___

###  name

• **name**: *string*

___

### `Optional` onChange

• **onChange**? : *Function | Function[]*

___

### `Optional` preselectedValue

• **preselectedValue**? : *string | string[]*

___

### `Optional` style

• **style**? : *object*

#### Type declaration:

* \[ **key**: *string*\]: string

___

### `Optional` type

• **type**? : *string*

___

### `Optional` visible

• **visible**? : *boolean*
